%define upstream_name    CGI-FormBuilder
%define upstream_version 3.20

Name:       perl-%{upstream_name}
Epoch:      1
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easily generate and process stateful forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
FormBuilder is a fully-functional form engine with numerous features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# disabled because of problem with HTML::Entities (http://rt.cpan.org//Ticket/Display.html?id=16193)
#%%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CGI
%{_mandir}/*/*


%changelog
* Tue Oct 15 2024 daviddavid <daviddavid> 1:3.200.0-2.mga10
+ Revision: 2107050
- rebuild with fixed perl attr in rpm-mageia-setup-2.80-5.mga10

* Tue Oct 15 2024 tv <tv> 1:3.200.0-1.mga10
+ Revision: 2106944
- update to 3.20

* Tue Mar 22 2022 umeabot <umeabot> 1:3.100.0-4.mga9
+ Revision: 1818757
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:3.100.0-3.mga8
+ Revision: 1503485
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:3.100.0-2.mga7
+ Revision: 1281855
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 1:3.100.0-1.mga7
+ Revision: 1132328
- update to 3.10

* Sat Jun 18 2016 pterjan <pterjan> 1:3.90.0-6.mga6
+ Revision: 1023441
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1:3.90.0-5.mga6
+ Revision: 935460
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:3.90.0-4.mga5
+ Revision: 746426
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:3.90.0-3.mga5
+ Revision: 732926
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:3.90.0-2.mga5
+ Revision: 683644
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1:3.90.0-1.mga5
+ Revision: 588231
- update to 3.09

* Fri Oct 18 2013 umeabot <umeabot> 1:3.80.0-3.mga4
+ Revision: 509363
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:3.80.0-2.mga3
+ Revision: 363532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1:3.80.0-1.mga2
+ Revision: 148010
- update to 3.08

* Wed Sep 14 2011 takashi <takashi> 1:3.60.0-1.mga2
+ Revision: 143239
- update to 3.06

* Mon Jan 24 2011 jquelin <jquelin> 1:3.50.100-1.mga1
+ Revision: 36150
- mageia rebuild
- imported package perl-CGI-FormBuilder


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:3.50.100-1mdv2010.1
+ Revision: 504599
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1:3.05.01-2mdv2010.0
+ Revision: 430308
- rebuild

* Sat Aug 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.05.01-1mdv2009.0
+ Revision: 272809
- new version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0:3.0302-3mdv2009.0
+ Revision: 255771
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0:3.0302-1mdv2008.1
+ Revision: 131272
- kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0302-1mdv2007.0
+ Revision: 73370
- import perl-CGI-FormBuilder-3.0302-1mdv2007.0

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:3.0302-1mdv2007.0
- New release 3.0302

* Mon May 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:3.0301-1mdk
- New release 3.0301

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0:3.03-1mdk
- 3.03
- better source URL
- better buildrequires syntax
- disabled test because of problem with HTML::Entities

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.0202-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.13-1mdk
- initial Mandriva package

